<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

// in src/Form/MSSqlForm.php
namespace MSSQLModule\Form;

use Cake\Form\Form;
use Cake\Form\Schema;
use Cake\Validation\Validator;

/**
 * Class MSSqlForm
 * @package MSSQLModule\Form
 */
class MSSqlForm extends Form {
    protected function _buildSchema(Schema $schema): Schema {
        return $schema
            ->addField('dbuser', ['type' => 'string'])
            ->addField('dbpass', ['type' => 'string'])
            ->addField('services', ['type' => 'array']);
    }

    public function validationDefault(Validator $validator): Validator {
        $validator
            ->requirePresence('dbuser')
            ->allowEmptyString('dbuser', null, false);
        $validator
            ->requirePresence('dbpass')
            ->allowEmptyString('dbpass', null, false);

        $validator
            ->requirePresence('services')
            ->notEmptyArray('services', __('You have to select at least one service'), false);

        return $validator;
    }
}
