<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace MSSQLModule\Lib;


use itnovum\openITCOCKPIT\Core\Wizards\ModuleWizardsInterface;

class Wizards implements ModuleWizardsInterface {

    /**
     * @var array
     */
    private $ACL_PERMISSIONS = [];

    /**
     * Widgets constructor.
     * @param $ACL_PERMISSIONS
     */
    public function __construct($ACL_PERMISSIONS) {
        $this->ACL_PERMISSIONS = $ACL_PERMISSIONS;
    }

    /**
     * @return array
     */
    public function getAvailableWizards() {
        if (!(isset($this->ACL_PERMISSIONS['hosts']['add']) && isset($this->ACL_PERMISSIONS['services']['add']))) {
            return [];
        }
        return [
            'mssql' => [
                'type_id'                 => 'mssql',
                'uuid'                    => '39f75038-a6c7-4bed-8e6f-e5389e974336',
                'title'                   => __('MSSQL Monitoring'),
                'description'             => __('Monitor your Microsoft SQL Server'),
                'image'                   => 'mssql-server.png',
                'directive'               => 'mssql', //AngularJS directive
                'state'                   => 'WizardsMSSql',
                'category'                => ['database'],
                'selected_os'             => null,
                'necessity_of_assignment' => true
            ]
        ];
    }
}
