<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="WizardsIndex">
            <i class="fa-solid fa-wand-magic-sparkles"></i> <?php echo __('Wizards'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-database"></i> <?php echo __('Microsoft SQL Server'); ?>
    </li>
</ol>

<div class="row">
    <div class="col-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Configuration Wizard: MSSQL Database'); ?>

                </h2>
            </div>
            <div class="panel-container show">
                <div class="panel-content fuelux">
                    <form ng-submit="submit();" class="form-horizontal">
                        <div class="wizard">
                            <ul class="nav nav-tabs step-anchor">
                                <li class="active">
                                    <span class="badge badge-info">
                                        <i class="fa fa-info"></i>
                                    </span>
                                    <span>
                                        <?php echo __('Configure MSSQL Monitoring'); ?>
                                    </span>
                                    <span class="chevron"></span>
                                </li>
                            </ul>
                        </div>


                        <div class="step-content">
                            <div class="card margin-top-20 margin-bottom-10">
                                <div class="card-body">
                                    <fieldset class="padding-bottom-20">
                                        <legend class="fs-md fieldset-legend-border-bottom">
                                            <h4>
                                                <?= __('Administration Settings'); ?>
                                            </h4>
                                        </legend>
                                        <div class="form-group required" ng-class="{'has-error': errors.dbuser}">
                                            <label class="control-label" for="dbuser">
                                                <?php echo __('Database user'); ?>
                                            </label>
                                            <input id="dbuser"
                                                   class="form-control"
                                                   type="text"
                                                   ng-model="post.dbuser">
                                            <div ng-repeat="error in errors.dbuser">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                        <div class="form-group required" ng-class="{'has-error': errors.dbpass}">
                                            <label class="control-label" for="dbpass">
                                                <?php echo __('Password'); ?>
                                            </label>
                                            <input id="dbpass"
                                                   class="form-control"
                                                   type="password"
                                                   ng-model="post.dbpass">
                                            <div ng-repeat="error in errors.dbpass">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                    </fieldset>
                                    <fieldset>
                                        <legend class="fs-md fieldset-legend-border-bottom">
                                            <h4 ng-class="{'text-danger': errors.services}">
                                                <span>
                                                    <?= __('MSSQL Database services'); ?>
                                                </span>
                                                <span class="help-block italic text-primary">
                                                    <?= __('To avoiding duplicate service configuration, the existing services with the same name will be automatically deselected'); ?>
                                                </span>
                                                <div ng-repeat="error in errors.services">
                                                    <div class="help-block text-danger">
                                                        <i class="fas fa-exclamation-triangle"></i>
                                                        {{ error }}
                                                    </div>
                                                </div>
                                            </h4>
                                        </legend>
                                        <wizard-filter></wizard-filter>
                                        <ul class="no-padding">
                                            <ol class="padding-bottom-20 padding-left-0"
                                                ng-repeat="service in (filteredItems = (post.services | filterTagsinput:search.name))">
                                                <div class="form-group">
                                                    <div class="custom-control custom-checkbox">
                                                        <input type="checkbox"
                                                               id="{{service.name}}"
                                                               class="custom-control-input"
                                                               name="checkbox"
                                                               ng-model="service.createService">
                                                        <label class="custom-control-label custom-control-label-ok"
                                                               for="{{service.name}}">
                                                            {{service.name}}
                                                            <span class="help-block italic">
                                                                {{service.description}}
                                                            </span>
                                                        </label>
                                                    </div>
                                                </div>
                                                <div class="form-group {{detectColor(commandargument.commandargument.human_name)}}"
                                                     ng-repeat="commandargument in service.servicecommandargumentvalues">
                                                    {{commandargument.commandargument.human_name}}
                                                    <input class="form-control"
                                                           type="text"
                                                           ng-disabled="!service.createService"
                                                           ng-model="commandargument.value">
                                                </div>
                                            </ol>
                                        </ul>
                                    </fieldset>
                                </div>
                            </div>
                            <div class="card margin-top-10">
                                <div class="card-body">
                                    <div class="float-right">
                                        <button type="submit" class="btn btn-primary" ng-disabled="disableSubmit">
                                            <span>
                                                <i class="fa fa-spinner fa-spin" ng-show="disableSubmit"></i>
                                            </span>
                                            <?php echo __('Create services'); ?>
                                        </button>
                                        <a back-button href="javascript:void(0);" fallback-state='WizardsIndex'
                                           class="btn btn-default"><?php echo __('Cancel'); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
