angular.module('openITCOCKPIT')
    .controller('WizardsMSSqlController', function($scope, $http, $stateParams, QueryStringService, NotyService, RedirectService){
        $scope.hostId = QueryStringService.getStateValue($stateParams, 'hostId', false);

        /** public vars **/
        $scope.init = true;
        $scope.disableSubmit = false;

        $scope.showPlainPassword = false;
        $scope.showPlainEncryptionPassword = false;
        $scope.executingDiscovery = false;

        $scope.filteredItems = [];

        $scope.post = {
            dbuser: '',
            dbpass: '',
            services: []
        };

        $scope.load = function(){
            $http.get("/mssql_module/wizards/mssql/" + $scope.hostId + ".json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.servicetemplates = result.data.servicetemplates;
                $scope.servicesNamesForExistCheck = result.data.servicesNamesForExistCheck;
                $scope.post.dbuser = result.data.dbuser;
                $scope.post.dbpass = result.data.dbpass;

                for(var key in $scope.servicetemplates){
                    $scope.post.services.push(
                        {
                            'host_id': $scope.hostId,
                            'servicetemplate_id': $scope.servicetemplates[key].id,
                            'name': $scope.servicetemplates[key].name,
                            'description': $scope.servicetemplates[key].description,
                            'servicecommandargumentvalues': $scope.servicetemplates[key].servicetemplatecommandargumentvalues,
                            'createService': !(in_array($scope.servicetemplates[key].name, $scope.servicesNamesForExistCheck))
                        });
                }
                $scope.init = false;
            });
        };

        $scope.submit = function(){
            $scope.disableSubmit = true;
            var services = [];
            for(var index in $scope.post.services){
                if($scope.post.services[index].createService === true && $scope.filteredItems.includes($scope.post.services[index])){
                    services.push($scope.post.services[index]);
                }
            }
            var post = JSON.parse(JSON.stringify($scope.post)); // Remove JS binding
            post.host_id = $scope.hostId;
            post.services = services;
            post.typeId = $scope.typeId;

            $http.post("/mssql_module/wizards/mssql.json?angular=true",
                post
            ).then(function(result){
                $scope.disableSubmit = false;
                NotyService.genericSuccess();
                RedirectService.redirectWithFallback('ServicesNotMonitored');
                $scope.errors = {};
                NotyService.scrollTop();
                console.log('Data saved successfully');
            }, function errorCallback(result){
                $scope.disableSubmit = false;

                NotyService.genericError();
                NotyService.scrollTop();
                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                }
            });
        };

        $scope.detectColor = function(label){
            if(label.match(/warning/gi)){
                return 'warning';
            }
            if(label.match(/critical/gi)){
                return 'critical';
            }
            return '';
        };

        //Fire on page load
        $scope.load();
    });
